### Method

# Gio DtlsConnection get_interaction

since: 2.48

#### Declaration

    GTlsInteraction*
    g_dtls_connection_get_interaction (
      GDtlsConnection* conn
    )

#### Description

Get the object that will be used to interact with the user. It will be used for things like prompting the user for passwords. If `NULL` is returned, then no user interaction will occur for this connection.

Available since: 2.48

Gets property | `Gio.DtlsConnection:interaction`

#### Return value

Type: `GTlsInteraction`

The interaction object.

The returned data is owned by the instance.
The return value can be `NULL`.